%% 
%% $Id: brief2.cls,v 1.5 2005-07-19 16:15:24 norman Exp $
%% LF Briefstyle als documentclass
%% 
\def\filedate{2003/10/31}
\def\fileversion{1.0}
\def\filename{brief2.cls}

\NeedsTeXFormat{LaTeX2e}[1996/06/01]
\ProvidesClass{brief2}[\filedate\space \fileversion\space brief2 class]

\usepackage{verbatim}
\usepackage{latexsym}
\usepackage{multicol}
\usepackage[scaled=0.98]{helvet}
\usepackage{epsf}
\usepackage{eurosym}
% Tue Jul 19 18:11:05 CEST 2005, Norman 
%\usepackage[T1]{fontenc} -- obsolete, erzeugt Fehler
\usepackage{textcomp}
\usepackage[latin9]{inputenc}
\usepackage{lfcommands}

%%% local customization

\renewcommand{\familydefault}{\sfdefault}

%%% multicol.sty Voreinstellungen:
\setlength{\columnsep}{10mm}

\raggedcolumns
\raggedright

%%%
%%% Frutiger PS FONTS
%%%

\font\helvvi=hv at 6pt
\font\helvvii=hv at 7pt
\font\helvviii=hv at 8pt
\font\helvx=hv at 10pt
\font\helvxi=hv at 11pt
\font\helvxii=hv at 12pt
\font\helvxiv=hv at 14pt
\font\helvxvi=hv at 16pt

\font\helvlvi=hv at 6pt
\font\helvlvii=hv at 7pt
\font\helvlviii=hv at 8pt

\font\helvbvi=hvb at 6pt
\font\helvbvii=hvb at 7pt
\font\helvbviii=hvb at 8pt
\font\helvbx=hvb at 10pt
\font\helvbxi=hvb at 11pt
\font\helvbxii=hvb at 12pt
\font\helvbxiv=hvb at 14pt
\font\helvbxvi=hvb at 16pt

\font\infox=hv at 10pt
\font\infoxi=hv at 11pt
\font\infoxii=hv at 12pt
\font\infoxvi=hv at 16pt

\font\infobx=hvb at 10pt 
\font\infobxi=hvb at 11pt
\font\infobxii=hvb at 12pt
\font\infobxiv=hvb at 14pt
\font\infobxvi=hvb at 16pt
\font\infobxviii=hvb at 18pt
\font\infobxxv=hvb at 25pt

\newfont{\phpic}{phpic scaled 1000}
\newfont{\phsig}{phsig scaled 1000}
\newfont{\rsig}{rsig scaled 1000}

\newdimen\VorschubH
\newdimen\VorschubV
\VorschubH = 0.0mm
\VorschubV = 0.0mm

\DeclareOption{10pt}{\def\@schrift{0}}
\DeclareOption{11pt}{\def\@schrift{1}}
\DeclareOption{12pt}{\def\@schrift{2}}
\DeclareOption{logo}{\def\mitlogo}
\DeclareOption{german}{
  \def\sprache{german}
  \def\telefontex{{\footnotesize Telefon\/:}}
  \def\telefaxtext{{\footnotesize Telefax\/:}}
  \def\telextext{{\footnotesize Telex\/:}}
  \def\btxtext{{\footnotesize BTX\/:}}
  \def\emailtext{{\footnotesize E--Mail\/:}}
  \def\banktext{{\footnotesize Bankverbindung\/:}}
  \def\blztext{{\footnotesize BLZ}}
  \def\kontotext{{\footnotesize Kto.}}
  \def\betrefftext{{\normalsize Betr.:}}
  \def\ihrzeichentext{\footnotesize\textsc{Ihr Zeichen}}
  \def\ihrschreibentext{\footnotesize\textsc{Ihr Schreiben vom}}
  \def\meinzeichentext{\footnotesize\textsc{Mein Zeichen}}
  \def\unserzeichentext{\footnotesize\textsc{Unser Zeichen}}
  \def\datumtext{\footnotesize\textsc{}}
  \def\datum{\number\day.~\ifcase\month\or Januar\or Februar\or
    M\"arz\or April\or Mai\or Juni\or Juli\or August\or September\or
    Oktober\or November\or Dezember\fi \space\number\year}}
\DeclareOption{english}{
  \def\sprache{english}
  \def\telefontex{{\footnotesize Phone\/:}}
  \def\telefaxtext{{\footnotesize Fax\/:}}
  \def\telextext{{\footnotesize Telex\/:}}
  \def\emailtext{{\footnotesize E--Mail\/:}}
  \def\banktext{{\footnotesize Bank\/:}} \def\blztext{{\footnotesize
      code}} \def\kontotext{{\footnotesize acct}}
  \def\betrefftext{{\normalsize Subj.:}}
  \def\ihrzeichentext{\footnotesize\textsc{Your Ref.}}
  \def\ihrschreibentext{\footnotesize\textsc{Your Mail}}
  \def\meinzeichentext{\footnotesize\textsc{My Ref.}}
  \def\unserzeichentext{\footnotesize\textsc{Our Ref.}}
  \def\datumtext{\footnotesize\textsc{Date}}}
\DeclareOption{american}{
  \def\sprache{american}
  \def\telefontex{{\footnotesize Phone\/:}}
  \def\telefaxtext{{\footnotesize Fax\/:}}
  \def\telextext{{\footnotesize Telex\/:}}
  \def\emailtext{{\footnotesize E--Mail\/:}}
  \def\banktext{{\footnotesize Bank\/:}} \def\blztext{{\footnotesize
      code}} \def\kontotext{{\footnotesize acct}}
  \def\betrefftext{{\normalsize Subj.:}}
  \def\ihrzeichentext{\footnotesize\textsc{Your Ref.}}
  \def\ihrschreibentext{\footnotesize\textsc{Your Mail}}
  \def\meinzeichentext{\footnotesize\textsc{My Ref.}}
  \def\unserzeichentext{\footnotesize\textsc{Our Ref.}}
  \def\datumtext{\footnotesize\textsc{Date}}}


\ExecuteOptions{11pt,german} \ProcessOptions

\LoadClass[1\@schrift pt, a4paper, oneside, final]{letter}[1996/01/20]

\normalsize

\setlength\oddsidemargin{0\p@}
\setlength\evensidemargin{\oddsidemargin}
\setlength\marginparwidth{90\p@}
\setlength\marginparsep{11\p@}
\setlength\marginparpush{5\p@}
\setlength\topmargin{-12.69mm}
\setlength\headheight{4.23mm}
\setlength\headsep{6.35mm}
\setlength\topskip{3.38mm}
\addtolength\footskip{4.23mm}

\setlength\textheight{178.88mm}
\setlength\textwidth{165mm}

\setlength\lineskip{1\p@}
\setlength\normallineskip{1\p@}

\newlength{\leftside}
\setlength{\leftside}{0.65\textwidth}
\newlength{\midside}
\setlength{\midside}{0.08\textwidth}
\newlength{\rightside}
\setlength{\rightside}{0.2\textwidth}

\renewcommand\baselinestretch{1}

\advance\topmargin by \VorschubV
\advance\oddsidemargin by \VorschubH
\setlength\evensidemargin{\oddsidemargin}

\AtEndOfClass{\pagestyle{regularpage}}

\def\Organisation#1{\def\organisation{#1}} \def\organisation{}
\def\GF#1{\def\gf{#1}} \def\gf{}
\def\Register#1{\def\register{#1}} \def\register{}
\def\UStId#1{\def\ustid{#1}} \def\ustid{}
\def\IBAN#1{\def\iban{#1}} \def\iban{}
\def\Logo#1{\def\logo{#1}} \def\logo{}
\def\Name#1{\def\name{#1}} \def\name{}
\def\Strasse#1{\def\strasse{#1}} \def\strasse{}
\def\Zusatz#1{\def\zusatz{#1}} \def\zusatz{}
\def\Ort#1{\def\ort{#1}} \def\ort{}
\def\PLZ#1{\def\plz{#1}} \def\plz{}
\def\RetourAdresse#1{\def\retouradresse{#1}} \def\retouradresse{}

\def\Telefon#1{\def\telefon{#1}} \def\telefon{}
\def\Telefax#1{\def\telefax{#1}} \def\telefax{}
\def\Telex#1{\def\telex{#1}} \def\telex{}
\def\BTX#1{\def\btx{#1}} \def\btx{}
\def\EMail#1{\def\email{#1}} \def\email{}
\def\WWW#1{\def\www{#1}} \def\www{}

\def\Bank#1{\def\bank{#1}} \def\bank{}
\def\BLZ#1{\def\blz{#1}} \def\blz{}
\def\Konto#1{\def\konto{#1}} \def\konto{}

\def\Postvermerk#1{\def\postvermerk{#1}} \def\postvermerk{}
\def\Adresse#1{\def\adresse{#1}} \def\adresse{}

\def\IhrZeichen#1{\def\ihrzeichen{#1}} \def\ihrzeichen{}
\def\IhrSchreiben#1{\def\ihrschreiben{#1}} \def\ihrschreiben{}
\def\MeinZeichen#1{\def\meinzeichen{#1}} \def\meinzeichen{}
\def\Datum#1{\def\datum{#1}} \def\datum{\today}

\def\Betreff#1{\def\betreff{#1}} \def\betreff{}

\def\Anrede#1{\def\anrede{#1}} \def\anrede{}
\def\Gruss#1#2{\def\gruss{#1} \def\grussskip{#2}}
    \def\gruss{} \def\grussskip{}

\def\Unterschrift#1{\def\unterschrift{#1}} \def\unterschrift{}

\def\Anlagen#1{\def\anlagen{#1}} \def\anlagen{}
\def\Verteiler#1{\def\verteiler{#1}} \def\verteiler{}

\long\def\Einrueckung#1{\par\begin{tabular}{@{\hspace{1in}}p{5in}@{}}
    #1\end{tabular}\par}

\newif\ifklassisch\klassischfalse
\def\klassisch{\klassischtrue}

\newif\iftrennlinien\trennlinienfalse
\def\trennlinien{\trennlinientrue}

\newif\iflochermarke\lochermarkefalse
\def\lochermarke{\lochermarketrue}

\newif\iffaltmarken\faltmarkenfalse
\def\faltmarken{\faltmarkentrue}

\newif\iffenstermarken\fenstermarkenfalse
\def\fenstermarken{\fenstermarkentrue}

\newif\ifunserzeichen\unserzeichenfalse
\def\unserzeichen{\unserzeichentrue}

\newenvironment{brief}{
  \thispagestyle{firstpage}
  \setlength\unitlength{1mm}

  \c@page\@ne
  \interlinepenalty=200
  \clearpage

  \ifx \ihrzeichen\empty \ifx \ihrschreiben\empty \ifx
  \meinzeichen\empty \makebox[45.5mm][l]{} \makebox[55.0mm][l]{}
  \makebox[20.0mm][l]{} \else \makebox[45.5mm][l]{\ihrzeichentext}
  \makebox[55.0mm][l]{\ihrschreibentext} \ifunserzeichen
  \makebox[20.0mm][l]{\unserzeichentext} \else
  \makebox[20.0mm][l]{\meinzeichentext} \fi \fi \else
  \makebox[45.5mm][l]{\ihrzeichentext}
  \makebox[55.0mm][l]{\ihrschreibentext} \ifunserzeichen
  \makebox[20.0mm][l]{\unserzeichentext} \else
  \makebox[20.0mm][l]{\meinzeichentext} \fi \fi \else
  \makebox[45.5mm][l]{\ihrzeichentext}
  \makebox[55.0mm][l]{\ihrschreibentext} \ifunserzeichen
  \makebox[20.0mm][l]{\unserzeichentext} \else
  \makebox[20.0mm][l]{\meinzeichentext} \fi \fi
  \makebox[37.0mm][r]{\datumtext} \\
  \makebox[45.5mm][l]{\ihrzeichen}
  \makebox[55.0mm][l]{\ihrschreiben}
  \makebox[20.0mm][l]{\meinzeichen} \par

  % \vspace{8mm}

  \ifcase\@ptsize\vspace{0.045pt}\or \vspace{-1.555pt}\or
  \vspace{-2.955pt} \fi

  \ifx \betreff\empty \else \ifklassisch \betrefftext \space \space
  \betreff \else \textbf{\betreff} \fi \mbox{}
  \par \vspace{-1\parskip} \vspace{8mm} \fi

  \ifcase\@ptsize\vspace{0.045pt}\or \vspace{-1.555pt}\or
  \vspace{-2.955pt} \fi

  \ifx \anrede\empty \else \anrede \par \fi\nobreak
  \addtolength\textheight{63mm}
  }
{
  \renewcommand{\baselinestretch}{1.0}
  \ifcase \@ptsize\relax \normalsize \or \small \or \footnotesize \fi

  \vspace{\grussskip} \par \nobreak \stopbreaks \noindent
  \parbox[t]{3.5in}{\raggedright \ignorespaces {\normalsize \ifx
      \gruss\empty \else \gruss \mbox{} \\ \fi \ifx
      \empty\unterschrift \relax \else \ifklassisch
      \normalsize{(\unterschrift)} \else \unterschrift \fi}
    \fi\strut} \ifx \anlagen\empty \else \vspace{4mm} \par \anlagen
  \par \fi \ifx \verteiler\empty \else \ifx \anlagen\empty
  \vspace{4mm}\par \fi \verteiler \fi }

\def\ps@firstpage{
  \renewcommand{\baselinestretch}{1.0}
  \ifcase \@ptsize\relax \normalsize \or \small \or \footnotesize \fi
  \headheight16pt\headsep63mm
  \def\@oddhead{
    \unitlength1mm
    \begin{picture}(0,0)
      %% Anschrift
      \put( 65, 3){\parbox[b]{180mm}{\helvlviii
            \strasse \\[-1mm] \ifx \zusatz\empty \else
              \zusatz \\[-1mm] \fi \plz \ort }}
	%% Firmenname
	\put( -1, -9){\parbox[b]{180mm}{\LARGE \helvbxii \organisation}}
	%% Logo
      \ifx \logo\empty \else {
	\put(150,-24){\parbox[b]{180mm}{\epsfysize1.9cm \hspace{-3mm}
	  \epsffile{\logo}}}
	}
      \fi
      %% Kontaktblock
      \put(100,-37){\parbox[b]{180mm}{\helvlviii
	    \begin{tabular}{ll}
	    Telefon  & \telefon\\[-1mm]
	    Telefax  & \telefax\\[-1mm]
	    E-Mail   & \email\\[-1mm]
	    Internet & \www\\[-1mm]
	    \end{tabular}
      }}
      %% Datum
      \put(102,-62){\parbox[b]{180mm}{\ort, den \datum}}
      \iftrennlinien \put(-9,-7){\rule{180mm}{0.5pt}} \fi
      \iflochermarke \put(-20,- 130.50){\line(1,0){4}} \fi
      \iffaltmarken
	\put(-15,- 83){\rule{3mm}{0.01pt}}
	\put(-15,-130){\rule{2mm}{0.01pt}}
	\put(-15,-190){\rule{3mm}{0.01pt}}
      \fi
      \put(-1, -34){\parbox[b]{180mm}{\ifx \retouradresse\empty
          {\helvlviii\name\ $\cdot$\ \strasse\
            $\cdot$\ \plz \ort} \else {\helvlviii\retouradresse}
	 \fi
	}}
      \put(-1,-32.00){\parbox[t]{3in}{\ifx \postvermerk\empty \hfill \par
          \else \textbf{\postvermerk} \par \vspace{2mm} \fi \hspace{0.00001mm}\\\adresse }}
      \iffenstermarken
      \put(-9,-30.00){\line( 1, 0){1}} \put(-9,-30.00){\line( 0,-1){1}}
      \put(76,-30.00){\line(-1, 0){1}} \put(76,-30.00){\line( 0,-1){1}}
      \put(-9,-73.00){\line( 1, 0){1}} \put(-9,-73.00){\line( 0, 1){1}}
      \put(76,-73.00){\line(-1, 0){1}} \put(76,-73.00){\line( 0, 1){1}}
      \fi
    \end{picture}
    \hfill}
  \def\@oddfoot{\unitlength1mm
    \def\istsprache{german}
    \begin{picture}(0,0)
      \put( 65, -7){\parbox[b]{180mm}{\helvlviii
	  \iftrennlinien \rule{180mm}{0.5pt} \fi
	    \begin{tabular}{ll}
	    Bankverbindung  & \bank, Konto \konto, BLZ \blz\\[-1mm]
	    Gesch\"aftsf\"uhrer  & \gf\\[-1mm]
	    Registergericht   & \register\\[-1mm]
	    USt-IdNr. / VAT REG No & \ustid\\[-1mm]
	    IBAN & \iban\\[-1mm]
	    \end{tabular}
      }}
    \end{picture} \hfill}
  \def\@evenhead{\@oddhead} \def\@evenfoot{\@oddfoot}}

\def\ps@regularpage{
  \headheight36pt\def\@oddhead{\unitlength1mm
    \begin{picture}(0,0)
      %% Anschrift
      \ifx \logo\empty \else {
	%% Firmenname
	\put( 0, 14){\parbox[b]{180mm}{\LARGE \helvbxii \organisation}}
	%% Logo
	\put(150,-2){\parbox[b]{180mm}{\epsfysize1.9cm \hspace{-3mm}
	  \epsffile{\logo}}}
	}
      \fi
    \end{picture}\hfill
  }
  \def\@oddfoot{\unitlength1mm
    \begin{picture}(0,0)
      \put( -5, 0){\parbox[b]{180mm}{\centerline{Seite \thepage}}}
    \end{picture}\hfill
  }
  \def\@evenhead{\@oddhead}
  \def\@evenfoot{\@oddfoot}
}

\def\offer#1#2{
  \parbox[b]{\leftside}{#1}
  \parbox[b]{\midside}{~}
  \parbox[b]{\rightside}{\hfill #2}
}

\def\bigtopic#1{
  {\infobxxv #1} \\[0.3cm]
  \vspace{2\parskip}\par\nobreak
}

\def\topic#1{ 
  {\infobxviii #1} \\[0.3cm]
  \vspace{2\parskip}\par\nobreak
}

\def\subtopic#1{
  \vspace{\parskip}\par\nobreak
  {\infobxvi #1}\par\nobreak
}

\def\subsubtopic#1{
  \vspace{\parskip}\par\nobreak
  {\infobxii #1}\par\nobreak
}

\def\istsprache{german}
\ifx \sprache\istsprache
\IfFileExists{babel.sty}
{\RequirePackage[\sprache]{babel}[1995/07/11] }
{\IfFileExists{german.sty}
  {\RequirePackage{german}[1996/05/01]}
  {\ClassError{g-brief}
    {Neither babel nor german.sty installed !!!}
    {Get babel or german.sty !!!}}}
\else
\IfFileExists{babel.sty}
  {\RequirePackage[\sprache]{babel}[1995/07/11]}
  {\ClassError{g-brief}
    {Babel not installed !!!}
    {Get babel package !!!}}
\fi
%% \klassisch

\endinput
%% 
%% End of file `g-brief.cls'.
