%% 
%% $Id: flyer.cls,v 1.2 2003-10-14 09:20:40 norman Exp $
%% LF Flyer als documentclass
%% 
\def\filedate{1998/11/01}
\def\fileversion{1.0}
\def\filename{flyer.cls}

\NeedsTeXFormat{LaTeX2e}[1996/06/01]
\ProvidesClass{flyer}[\filedate\space \fileversion\space flyer class]

% fuer das Logo
\input epsf
\input frutiger.sty

% LF-spezifische Kuerzel, Definitionen, ...
\input lfcommands.sty

%%%
%%% Frutiger PS FONTS
%%%

\font\frutvi=frutiger-roman at 6pt
\font\frutvii=frutiger-roman at 7pt
\font\frutviii=frutiger-roman at 8pt
\font\frutx=frutiger-roman at 10pt
\font\frutxi=frutiger-roman at 11pt
\font\frutxii=frutiger-roman at 12pt
\font\frutxiv=frutiger-roman at 14pt
\font\frutxvi=frutiger-roman at 16pt

\font\frutlvi=frutiger-light at 6pt
\font\frutlvii=frutiger-light at 7pt
\font\frutlviii=frutiger-light at 8pt

\font\frutbvi=frutiger-bold at 6pt
\font\frutbvii=frutiger-bold at 7pt
\font\frutbviii=frutiger-bold at 8pt
\font\frutbx=frutiger-bold at 10pt
\font\frutbxi=frutiger-bold at 11pt
\font\frutbxii=frutiger-bold at 12pt
\font\frutbxiv=frutiger-bold at 14pt
\font\frutbxvi=frutiger-bold at 16pt

\font\infox=helvetica at 10pt
\font\infoxi=helvetica at 11pt
\font\infoxii=helvetica at 12pt
\font\infoxvi=helvetica at 16pt

\font\infobx=helvetica-bold at 10pt 
\font\infobxi=helvetica-bold at 11pt
\font\infobxii=helvetica-bold at 12pt
\font\infobxiv=helvetica-bold at 14pt
\font\infobxvi=helvetica-bold at 16pt
\font\infobxviii=helvetica-bold at 18pt
\font\infobxxv=helvetica-bold at 25pt

\newfont{\phpic}{phpic scaled 1000}
\newfont{\phsig}{phsig scaled 1000}
\newfont{\rsig}{rsig scaled 1000}

\DeclareOption{10pt}{\def\@schrift{0}}
\DeclareOption{11pt}{\def\@schrift{1}}
\DeclareOption{12pt}{\def\@schrift{2}}
\DeclareOption{german}{
  \def\sprache{german}
  \def\telefontex{{\footnotesize Telefon\/:}}
  \def\telefaxtext{{\footnotesize Telefax\/:}}
  \def\telextext{{\footnotesize Telex\/:}}
  \def\emailtext{{\footnotesize E--Mail\/:}}
  \def\banktext{{\footnotesize Bankverbindung\/:}}
  \def\blztext{{\footnotesize BLZ}}
  \def\kontotext{{\footnotesize Kto.}}
  \def\datumtext{\footnotesize\textsc{}}
  \def\datum{\number\day.~\ifcase\month\or Januar\or Februar\or
    M\"arz\or April\or Mai\or Juni\or Juli\or August\or September\or
    Oktober\or November\or Dezember\fi \space\number\year}}
\DeclareOption{english}{
  \def\sprache{english}
  \def\telefontex{{\footnotesize Phone\/:}}
  \def\telefaxtext{{\footnotesize Fax\/:}}
  \def\telextext{{\footnotesize Telex\/:}}
  \def\emailtext{{\footnotesize E--Mail\/:}}
  \def\banktext{{\footnotesize Bank\/:}} \def\blztext{{\footnotesize
      code}} \def\kontotext{{\footnotesize acct}}
  \def\datumtext{\footnotesize\textsc{Date}}}
\DeclareOption{american}{
  \def\sprache{american}
  \def\telefontex{{\footnotesize Phone\/:}}
  \def\telefaxtext{{\footnotesize Fax\/:}}
  \def\telextext{{\footnotesize Telex\/:}}
  \def\emailtext{{\footnotesize E--Mail\/:}}
  \def\banktext{{\footnotesize Bank\/:}} \def\blztext{{\footnotesize
      code}} \def\kontotext{{\footnotesize acct}}
  \def\datumtext{\footnotesize\textsc{Date}}}

\ExecuteOptions{11pt,german} \ProcessOptions

\LoadClass[1\@schrift pt, a4paper, oneside, final]{letter}[1996/01/20]

\normalsize

\setlength\oddsidemargin{0\p@}
\setlength\evensidemargin{\oddsidemargin}
\setlength\marginparwidth{90\p@}
\setlength\marginparsep{11\p@}
\setlength\marginparpush{5\p@}
\setlength\topmargin{0mm}
\setlength\headheight{4.23mm}
\setlength\headsep{6.35mm}
\setlength\topskip{3.38mm}
\addtolength\footskip{4.23mm}

% \setlength\textheight{178.88mm}
\setlength\textheight{225mm}
\setlength\textwidth{155mm}

\setlength\lineskip{1\p@}
\setlength\normallineskip{1\p@}

\newlength{\leftside}
\setlength{\leftside}{0.65\textwidth}
\newlength{\midside}
\setlength{\midside}{0.08\textwidth}
\newlength{\rightside}
\setlength{\rightside}{0.2\textwidth}

\newcommand{\kaestlegross}{{\raisebox{0.2ex}{$\bigcirc$}\quad}}
\newcommand{\kaestlemittel}{{\footnotesize \raisebox{0.4ex}{$\bigcirc$}\quad}}

\renewcommand\baselinestretch{1}

\setlength\evensidemargin{\oddsidemargin}

\AtEndOfClass{\pagestyle{flyer}}

\def\Organisation#1{\def\organisation{#1}} \def\organisation{}
\def\GF#1{\def\gf{#1}} \def\gf{}
\def\Register#1{\def\register{#1}} \def\register{}
\def\UStId#1{\def\ustid{#1}} \def\ustid{}
\def\IBAN#1{\def\iban{#1}} \def\iban{}
\def\Logo#1{\def\logo{#1}} \def\logo{}
\def\Name#1{\def\name{#1}} \def\name{}
\def\Strasse#1{\def\strasse{#1}} \def\strasse{}
\def\Zusatz#1{\def\zusatz{#1}} \def\zusatz{}
\def\Ort#1{\def\ort{#1}} \def\ort{}
\def\PLZ#1{\def\plz{#1}} \def\plz{}
\def\Telefon#1{\def\telefon{#1}} \def\telefon{}
\def\Telefax#1{\def\telefax{#1}} \def\telefax{}
\def\Telex#1{\def\telex{#1}} \def\telex{}
\def\BTX#1{\def\btx{#1}} \def\btx{}
\def\EMail#1{\def\email{#1}} \def\email{}
\def\WWW#1{\def\www{#1}} \def\www{}

\def\Bank#1{\def\bank{#1}} \def\bank{}
\def\BLZ#1{\def\blz{#1}} \def\blz{}
\def\Konto#1{\def\konto{#1}} \def\konto{}

\def\Datum#1{\def\datum{#1}} \def\datum{\today}

\newif\iffaltmarken\faltmarkenfalse
\def\faltmarken{\faltmarkentrue}

%
% fuer Vertraege und aehnliches
%
\def\contract#1#2{
\begin{center}
{\Huge Vertrag}\\[0.5cm]
zwischen \\[0.3cm]
{\bf #1} \\[0.3cm]
und \\[0.3cm]
{\bf #2}
\end{center}
\vspace{2\parskip}\par\nobreak}

\newcounter{paragraph}
\setcounter{paragraph}{1}
\newcounter{subparagraph}

% \def\Organisation#1{\def\organisation{#1}} \def\organisation{}

%\def\paragraph#1{\leftskip0cm \S \arabic{paragraph} #1\\
%	\setcounter{subparagraph}{1} \stepcounter{paragraph}}
\def\paragraph#1{\def\paragraph{#1}} \def\paragraph{\leftskip0cm \S \arabic{paragraph}
	\setcounter{subparagraph}{1} \stepcounter{paragraph}}
\def\subparagraph#1{\def\subparagraph{#1}} \def\subparagraph{\leftskip1cm
	(\arabic{subparagraph}) \stepcounter{subparagraph}}

%\def\subparagraph#1{\leftskip1cm (\arabic{subparagraph}) \normal #1\\
%	\stepcounter{subparagraph}}

\newenvironment{flyer}{
  \pagestyle{flyer}
  \setlength\unitlength{1mm}

  \c@page\@ne
  \interlinepenalty=200
  \clearpage

%  \ifcase\@ptsize\vspace{0.045pt}\or \vspace{-1.555pt}\or
%  \vspace{-2.955pt} \fi

%  \ifcase\@ptsize\vspace{0.045pt}\or \vspace{-1.555pt}\or
%  \vspace{-2.955pt} \fi

  }
{
  \renewcommand{\baselinestretch}{1.0}
  \ifcase \@ptsize\relax \normalsize \or \small \or \footnotesize \fi

}

\def\ps@flyer{
  \headheight36pt
  \def\@oddhead{\unitlength1mm
    \begin{picture}(0,0)
      %% Anschrift
      \ifx \logo\empty \else {
	%% Firmenname
	\put( 0, 16){\parbox[b]{180mm}{\LARGE \frutbxii \organisation}}
	%% Logo
	\put(150, 0){\parbox[b]{180mm}{\epsfysize1.9cm \hspace{-3mm}
	  \epsffile{\logo}}}
	}
      \fi
    \end{picture}\hfill
  }
  \def\@oddfoot{\unitlength1mm
    \def\istsprache{german}
    \begin{picture}(0,0)
      \put(0,0){
	\parbox{180mm}{\frutlviii
	  \organisation\\
	  \strasse\\
	  \plz \ort\\
	  \\
        }
      }
      \put( 45,0){
	\parbox{180mm}{\frutlviii
	  Telefon \telefon\\
	  Telefax \telefax\\
	  E-Mail  \email\\
	  Internet \www\\
        }
      }
      \put( 90, 0){
	\parbox{180mm}{\frutlviii
	  Gesch\"aftsf\"uhrer \gf\\
	  \bank, Konto \konto, BLZ \blz\\
	  Registergericht \register\\
	  \\
	  %USt-IdNr. / VAT Reg\# \ustid\\
	  %IBAN \iban
	}
      }
    \end{picture} \hfill}
  \def\@evenhead{\@oddhead}
  \def\@evenfoot{\@oddfoot}
}

\def\offer#1#2{
  \parbox[t]{\leftside}{#1}
  \parbox[t]{\midside}{~}
  \parbox[t]{\rightside}{\hfill #2}
}

\def\bigtopic#1{
  {\infobxxv #1} \\[0.3cm]
  \vspace{2\parskip}\par\nobreak
}

\def\topic#1{ 
  {\infobxviii #1} \\[0.3cm]
  \vspace{2\parskip}\par\nobreak
}

\def\subtopic#1{
  \vspace{\parskip}\par\nobreak
  {\infobxvi #1}\par\nobreak
}

\def\subsubtopic#1{
  \vspace{\parskip}\par\nobreak
  {\infobxii #1}\par\nobreak
}

\def\istsprache{german}
\ifx \sprache\istsprache
\IfFileExists{babel.sty}
{\RequirePackage[\sprache]{babel}[1995/07/11] }
{\IfFileExists{german.sty}
  {\RequirePackage{german}[1996/05/01]}
  {\ClassError{flyer}
    {Neither babel nor german.sty installed !!!}
    {Get babel or german.sty !!!}}}
\else
\IfFileExists{babel.sty}
  {\RequirePackage[\sprache]{babel}[1995/07/11]}
  {\ClassError{flyer}
    {Babel not installed !!!}
    {Get babel package !!!}}
\fi
%% \klassisch

\endinput
%% 
%% End of file `flyer.cls'.
