\def\filedate{2003/09/10}
\def\fileversion{1.0}
\def\filename{newsletter.cls}

\NeedsTeXFormat{LaTeX2e}[1996/06/01]
\ProvidesClass{newsletter}[\filedate\space \fileversion\space newsletter class]

\usepackage{verbatim}
\usepackage{latexsym}
\usepackage{multicol}
\usepackage[scaled=0.85]{helvet}
\usepackage{epsf}
\usepackage{eurosym}
% Tue Jul 19 18:11:05 CEST 2005, Norman
%\usepackage[T1]{fontenc} -- obsolete, erzeugt Fehler
\usepackage{textcomp}
\usepackage[latin9]{inputenc}
\usepackage{lfcommands}

%%% local customization

\renewcommand{\familydefault}{\sfdefault}

%%% multicol.sty Voreinstellungen:
\setlength{\columnsep}{10mm}
\raggedcolumns
\raggedright

\DeclareOption{10pt}{\def\@schrift{0}}
\DeclareOption{11pt}{\def\@schrift{1}}
\DeclareOption{12pt}{\def\@schrift{2}}

\ExecuteOptions{10pt,german} \ProcessOptions

\LoadClass[1\@schrift pt, a4paper, oneside, final]{letter}


%\def\Title#1{\def\title{#1}}% \def\title{}

%%%
%%% LF PS FONTS
%%%

\font\frutvi=hv at 6pt
\font\frutvii=hv at 7pt
\font\frutviii=hv at 8pt
\font\frutix=hv at 9pt
\font\frutx=hv at 10pt
\font\frutxi=hv at 11pt
\font\frutxii=hv at 12pt
\font\frutxiv=hv at 14pt
\font\frutxvi=hv at 16pt
 
\font\frutlvi=hv at 6pt
\font\frutlvii=hv at 7pt
\font\frutlviii=hv at 8pt
 
\font\frutbvi=hv at 6pt
\font\frutbvii=hv at 7pt
\font\frutbviii=hv at 8pt
\font\frutbx=hv at 10pt
\font\frutbxi=hv at 11pt
\font\frutbxii=hv at 12pt
\font\frutbxiv=hv at 14pt
\font\frutbxvi=hv at 16pt

\font\frutbbxi=hvb at 11pt
\font\frutbbxiv=hvb at 14pt
 
\newfont{\phpic}{phpic scaled 1000}
\newfont{\phsig}{phsig scaled 1000}

\def\@ptsize{0} \@namedef{ds@11pt}{\def\@ptsize{1}}
\@namedef{ds@12pt}{\def\@ptsize{2}}
\@twosidefalse
\def\ds@draft{\overfullrule 5pt}

\newif\if@german \@germanfalse
\def\ds@german{\@germantrue}

\@options

\lineskip 1pt \normallineskip 1pt
\def\baselinestretch{1}


%%% Fuer Tabellen, groesserer Zwischenraum
\renewcommand{\arraystretch}{1.3}

%%%
%%% PAGE LAYOUT SIZES
%%%
%%% Alle Anpassungen der Seiten/Absatzgroessen erfolgt hier! Keine vspace
%%% Hacks mehr noetig.
%%%

%%% WICHTIG: einige der Defintionen werdem im Pagestyle ueberschriebe
%%%          siehe z.B. \def\ps@prodflyer{

\setlength\oddsidemargin{1mm}
\setlength\evensidemargin{1mm}
\setlength\marginparwidth{5mm}
\setlength\marginparsep{9mm}
\setlength\marginparpush{5pt}
\setlength\topmargin{-2.1cm}
\setlength\headheight{2cm}
\setlength\headsep{1.5cm}
%\setlength\footheight{1.5cm}
\setlength\footskip{2.1cm}
\setlength\voffset{0pt}
\setlength\topskip{1pt}
\setlength\textheight{235mm}
\setlength\textwidth{160mm}
\setlength\columnsep{10pt}
\setlength\columnseprule{0pt}

\raggedbottom
\footnotesep 12pt \skip\footins 10pt plus 2pt minus 4pt
\floatsep 12pt plus 2pt minus 2pt
\textfloatsep 20pt plus 2pt minus 4pt
\intextsep 12pt plus 2pt minus 2pt
\dblfloatsep 12pt plus 2pt minus 2pt
\dbltextfloatsep 20pt plus 2pt minus 4pt
%\@maxsep 20pt
%\@dblmaxsep 20pt
\@fptop 0pt plus 1fil
\@fpsep 8pt plus 2fil
\@fpbot 0pt plus 1fil
\@dblfptop 0pt plus 1fil
\@dblfpsep 8pt plus 2fil
\@dblfpbot 0pt plus 1fil

%%% Laengen fuer Angebote:
\newlength{\leftside}
\setlength{\leftside}{54mm}
\newlength{\midside}
\setlength{\midside}{0mm}
\newlength{\rightside}
\setlength{\rightside}{20mm}


%%%
%%% SIZE DEFINITIONS
%%%
\ifcase \@ptsize\relax
\def\@normalsize{\@setsize\normalsize{12pt}\xpt\@xpt
\abovedisplayskip 10pt plus2pt minus5pt\belowdisplayskip \abovedisplayskip
\abovedisplayshortskip \z@ plus3pt\belowdisplayshortskip 6pt plus3pt minus3pt}
\def\small{\@setsize\small{11pt}\ixpt\@ixpt
\abovedisplayskip 8.5pt plus 3pt minus 4pt\belowdisplayskip \abovedisplayskip
\abovedisplayshortskip \z@ plus2pt\belowdisplayshortskip 4pt plus2pt minus 2pt}
\def\footnotesize{\@setsize\footnotesize{9.5pt}\viiipt\@viiipt
\abovedisplayskip 6pt plus 2pt minus 4pt\belowdisplayskip \abovedisplayskip
\abovedisplayshortskip \z@ plus 1pt\belowdisplayshortskip 3pt plus 1pt minus
2pt}
\def\scriptsize{\@setsize\scriptsize{8pt}\viipt\@viipt}
\def\tiny{\@setsize\tiny{6pt}\vpt\@vpt}
\def\large{\@setsize\large{14pt}\xiipt\@xiipt}
\def\Large{\@setsize\Large{18pt}\xivpt\@xivpt}
\def\LARGE{\@setsize\LARGE{22pt}\xviipt\@xviipt}
\def\huge{\@setsize\huge{25pt}\xxpt\@xxpt}
\def\Huge{\@setsize\Huge{30pt}\xxvpt\@xxvpt}
\or
\def\@normalsize{\@setsize\normalsize{13.6pt}\xipt\@xipt
\abovedisplayskip 11pt plus3pt minus6pt\belowdisplayskip \abovedisplayskip
\abovedisplayshortskip \z@ plus3pt\belowdisplayshortskip 6.5pt plus3.5pt
minus3pt}
\def\small{\@setsize\small{12pt}\xpt\@xpt
\abovedisplayskip 10pt plus2pt minus5pt\belowdisplayskip \abovedisplayskip
\abovedisplayshortskip \z@ plus3pt\belowdisplayshortskip 6pt plus3pt minus3pt}
\def\footnotesize{\@setsize\footnotesize{11pt}\ixpt\@ixpt
\abovedisplayskip 8pt plus 2pt minus 4pt\belowdisplayskip \abovedisplayskip
\abovedisplayshortskip \z@ plus 1pt\belowdisplayshortskip 4pt plus 2pt minus
2pt}
\def\scriptsize{\@setsize\scriptsize{9.5pt}\viiipt\@viiipt}
\def\tiny{\@setsize\tiny{7pt}\vipt\@vipt}
\def\large{\@setsize\large{14pt}\xiipt\@xiipt}
\def\Large{\@setsize\Large{18pt}\xivpt\@xivpt}
\def\LARGE{\@setsize\LARGE{22pt}\xviipt\@xviipt}
\def\huge{\@setsize\huge{25pt}\xxpt\@xxpt}
\def\Huge{\@setsize\Huge{30pt}\xxvpt\@xxvpt}
\or
\def\@normalsize{\@setsize\normalsize{15pt}\xiipt\@xiipt
\abovedisplayskip 12pt plus3pt minus7pt\belowdisplayskip \abovedisplayskip
\abovedisplayshortskip \z@ plus3pt\belowdisplayshortskip 6.5pt plus3.5pt
minus3pt}
\def\small{\@setsize\small{13.6pt}\xipt\@xipt
\abovedisplayskip 11pt plus3pt minus6pt\belowdisplayskip \abovedisplayskip
\abovedisplayshortskip \z@ plus3pt\belowdisplayshortskip 6.5pt plus3.5pt
minus3pt}
\def\footnotesize{\@setsize\footnotesize{12pt}\xpt\@xpt
\abovedisplayskip 10pt plus2pt minus5pt\belowdisplayskip \abovedisplayskip
\abovedisplayshortskip \z@ plus3pt\belowdisplayshortskip 6pt plus3pt minus3pt}
\def\scriptsize{\@setsize\scriptsize{9.5pt}\viiipt\@viiipt}
\def\tiny{\@setsize\tiny{7pt}\vipt\@vipt}
\def\large{\@setsize\large{18pt}\xivpt\@xivpt}
\def\Large{\@setsize\Large{22pt}\xviipt\@xviipt}
\def\LARGE{\@setsize\LARGE{25pt}\xxpt\@xxpt}
\def\huge{\@setsize\huge{30pt}\xxvpt\@xxvpt}
\let\Huge=\huge
\fi
\normalsize

%%%
%%% GERMAN LANGUAGE DEFINITIONS
%%%

\if@german
\catcode`\"=\active \let"=\"  \let\3=\ss
\def\today{\number\day.\number\month.\number\year}
\def\pagename{Seite }
\def\datename{\helvvi Datum }
\fi


%%%
%%% FIRMEN HEADER
%%%
\newbox{\firmheader} \newbox{\firmroot} 
\newbox{\firmheaderno} \newbox{\firmrootno} 
\newbox{\firmrootbriefno}

%%%
%%% LOGO und TEXTZUG oben
%%%


\sbox{\firmheader}{
\parbox[b]{180mm}{
\parbox{14.1cm}{\frutbbxiv \rule{0mm}{2.5cm} \\ \title \rule{0mm}{1cm} }
\parbox{2.1cm}{\vspace{14mm} \hspace{-3.8mm}
 \epsfysize4cm \epsffile{\xpsimage}
 \vspace{-1.5cm} 
 \special{psfile=/prj/sales/flyer/icons/internet-bar.ps hoffset=-535 voffset=-275 hscale=1800 vscale=1600}
}}}

\sbox{\firmheaderno}{
\parbox[b]{180mm}{
\parbox{14.1cm}{\frutbbxiv \rule{0mm}{2.5cm} \\ \title \rule{0mm}{1cm} }
%\parbox{14.1cm}{\rule{0mm}{2.5cm} \\ \title \rule{0mm}{1cm} }
\parbox{2.1cm}{\vspace{14mm} \hspace{-3mm}
 \rule{0mm}{1mm}
 \vspace{-1.5cm} 
}}}


%%%
%%% FUSSZEILE
%%%

\sbox{\firmroot}{
\parbox[b]{180mm}{
\frutlvii \baselineskip0pt
\parbox[b]{2.5cm}{LF.net GmbH  \\[-1mm]
Ruppmannstr. 27\\[-1mm]
D-70565 Stuttgart \\[-1mm]}
\parbox[b]{5.6cm}{
Tel +49 711/9\,00\,74\,-0 \\[-1mm]
Fax +49 711/9\,00\,74\,-33 \\[-1mm]
E-Mail info@LF.net \\[-1mm]
http://www.LF.net/
}
\parbox{6cm}{\frutbbxi LF.net Netzwerksysteme GmbH \\[1mm] }
\parbox{8mm}{\rule{0mm}{1mm}}
\parbox{1.5cm}{\epsfysize1.4cm \vspace{-8mm}
\epsffile{/prj/lib/tex/inputs/lfc4.eps}
}}}

\sbox{\firmrootno}{
\parbox[b]{180mm}{
\frutlvii \baselineskip0pt
\parbox[b]{2.5cm}{LF.net GmbH  \\[-1mm]
Ruppmannstr. 27\\[-1mm]
D-70565 Stuttgart \\[-1mm]}
\parbox[b]{5.6cm}{
Tel +49 711/9\,00\,74\,-0 \\[-1mm]
Fax +49 711/9\,00\,74\,-33 \\[-1mm]
E-Mail info@LF.net \\[-1mm]
http://www.LF.net/
}
\parbox{6cm}{\rule{0mm}{1mm} \\[1mm] }
\parbox{8mm}{\rule{0mm}{1mm}}
\parbox{1.5cm}{\vspace{-7mm}
\rule{0mm}{1mm}
}}}


\sbox{\firmrootbriefno}{
  \parbox[t]{180mm}{
    \vspace{-2cm}
    \frutlvii \baselineskip0pt
    \parbox[t]{2.5cm}{
      LF.net GmbH  \\[-1mm]
      Ruppmannstr. 27\\[-1mm]
      D-70565 Stuttgart \\[-1mm]
    }
    \parbox[t]{4.6cm}{
      Tel +49 711/9\,00\,74\,-0 \\[-1mm]
      Fax +49 711/9\,00\,74\,-33 \\[-1mm]
      E-Mail info@LF.net \\[-1mm]
      http://www.LF.net/
    }
    \parbox[t]{3cm}{
      Bankverbindung \\[-1mm]
      Gesch\"aftsf\"uhrer \\[-1mm]
      Registergericht \\[-1mm]
      USt-IdNr. / VAT REG No  \\[-1mm]
      IBAN
    }
    \parbox[t]{8cm}{
      VR-Bank Stuttgart eG, Konto 79 909 000, BLZ 600 608 93 \\[-1mm]
      Norman F\"urst, Rodney Volz \\[-1mm]
      Amtsgericht Stuttgart, HRB 18189 \\[-1mm]
      DE183840713  \\[-1mm]
      DE26 6006 0893 0079 9090 00
    }
  }
}



%---

\newdimen\longindentation
\longindentation=.5\textwidth
\newdimen\indentedwidth
\indentedwidth=\textwidth
\advance\indentedwidth -\longindentation

%%%
%%% Here comes the topic of the info sheet
%%%

\def\subtopic#1{
\vspace{\parskip}\par\nobreak
{\large \sf #1}\par\nobreak}

\def\subsubtopic#1{
\vspace{\parskip}\par\nobreak
{\large \sf #1}\par\nobreak}

\def\@texttop{\ifnum\c@page=1\vskip 0pt plus .00006fil\relax\fi}

\def\ps@empty{
\def\@oddhead{}\def\@oddfoot{}\def\@evenhead{}\def\@evenfoot{}}

\newdimen\thdim
\thdim=23.5cm

\def\ps@prodflyer{\topmargin -2.7cm \headheight 2cm \headsep 4cm 
\voffset 0pt \topskip 1pt \advance\thdim by -2.8cm
\textheight \thdim
\def\@oddhead{\usebox{\firmheader}}
\def\@evenhead{\usebox{\firmheader}\normalsize}
%\footheight 1.5cm 
\footskip 2.6cm 
\def\@oddfoot{\usebox{\firmroot}}
\def\@evenfoot{\usebox{\firmroot}}
}

\def\ps@prodflyerno{\topmargin -2.7cm \headheight 2cm \headsep 4cm 
\voffset 0pt \topskip 1pt \advance\thdim by -2.8cm
\textheight \thdim
\def\@oddhead{\usebox{\firmheaderno}}
\def\@evenhead{\usebox{\firmheaderno}\normalsize}
%\footheight 1.5cm
\footskip 2.6cm 
\def\@oddfoot{\usebox{\firmrootno}}
\def\@evenfoot{\usebox{\firmrootno}}
}


\def\ps@briefinfo{\topmargin -2.7cm \headheight 2cm \headsep 4cm 
\voffset 0pt \topskip 1pt \advance\thdim by -2.8cm
\textheight \thdim
\def\@oddhead{\usebox{\firmheaderno}}
\def\@evenhead{\usebox{\firmheaderno}\normalsize}
%\footheight 1.5cm
\footskip 2.6cm 
\def\@oddfoot{\usebox{\firmrootbriefno}}
\def\@evenfoot{\usebox{\firmrootbriefno}}
}

\def\ps@prodflyernohoeher{\topmargin -3.7cm \headheight 2cm \headsep 4cm 
\voffset 0pt \topskip 1pt \advance\thdim by -2.8cm
\textheight \thdim
\def\@oddhead{\usebox{\firmheaderno}}
\def\@evenhead{\usebox{\firmheaderno}\normalsize}
%\footheight 1.5cm
\footskip 2.6cm 
\def\@oddfoot{\usebox{\firmrootno}}
\def\@evenfoot{\usebox{\firmrootno}}
}


\def\ps@plain{\def\@oddhead{}\def\@oddfoot{\rm\hfil\thepage
 \hfil}\def\@evenhead{}\let\@evenfoot\@oddfoot}

\parskip 9pt plus 1pt minus 1pt \parindent 0pt \topsep .4em \partopsep
0pt \itemsep 0pt
\@lowpenalty 51 \@medpenalty 151 \@highpenalty 301
\@beginparpenalty -\@lowpenalty \@endparpenalty -\@lowpenalty \@itempenalty
-\@lowpenalty

\leftmargini 2.5em
\leftmarginii 2.2em \leftmarginiii 1.87em \leftmarginiv 1.7em \leftmarginv 1em
\leftmarginvi 1em
\leftmargin\leftmargini
\labelwidth\leftmargini\advance\labelwidth-\labelsep
\labelsep 5pt
\parsep 0pt
\let\@listi\relax
\def\@listii{\leftmargin\leftmarginii
 \labelwidth\leftmarginii\advance\labelwidth-\labelsep}
\def\@listiii{\leftmargin\leftmarginiii
 \labelwidth\leftmarginiii\advance\labelwidth-\labelsep
 \topsep .2em
 \itemsep \topsep}
\def\@listiv{\leftmargin\leftmarginiv
 \labelwidth\leftmarginiv\advance\labelwidth-\labelsep}
\def\@listv{\leftmargin\leftmarginv
 \labelwidth\leftmarginv\advance\labelwidth-\labelsep}
\def\@listvi{\leftmargin\leftmarginvi
 \labelwidth\leftmarginvi\advance\labelwidth-\labelsep}

\def\labelenumi{\arabic{enumi}.}
\def\theenumi{\arabic{enumi}}
\def\labelenumii{(\alph{enumii})}
\def\theenumii{\alph{enumii}}
\def\p@enumii{\theenumi}
\def\labelenumiii{\roman{enumiii}.}
\def\theenumiii{\roman{enumiii}}
\def\p@enumiii{\theenumi(\theenumii)}
\def\labelenumiv{\Alph{enumiv}.}
\def\theenumiv{\Alph{enumiv}}
\def\p@enumiv{\p@enumiii\theenumiii}

\def\labelitemi{$\bullet$}
\def\labelitemii{\bf --}
\def\labelitemiii{$\ast$}
\def\labelitemiv{$\cdot$}
\def\verse{\let\\=\@centercr
 \list{}{\itemsep\z@ \itemindent -15pt\listparindent \itemindent
 \rightmargin\leftmargin\advance\leftmargin 15pt}\item[]}
\let\endverse\endlist
\def\quotation{\list{}{\listparindent 1.5em
 \itemindent\listparindent
 \rightmargin\leftmargin}\item[]}
\let\endquotation=\endlist
\def\quote{\list{}{\rightmargin\leftmargin}\item[]}
\let\endquote=\endlist

\def\descriptionlabel#1{\hspace\labelsep \bf #1}
\def\description{\list{}{\labelwidth\z@ \itemindent-\leftmargin
 \let\makelabel\descriptionlabel}}
\let\enddescription\endlist

\def\theequation{\arabic{equation}}

\arraycolsep 5pt \tabcolsep 6pt \arrayrulewidth .4pt \doublerulesep 2pt
\tabbingsep \labelsep
\skip\@mpfootins = \skip\footins
\fboxsep = 3pt \fboxrule = .4pt

\def\footnoterule{\kern-1\p@
 \hrule width .4\columnwidth
 \kern .6\p@}

\long\def\@makefntext#1{\noindent \hangindent 5pt\hbox
 to 5pt{\hss $^{\@thefnmark}$}#1}

\c@topnumber=2
\def\topfraction{.7}
\c@bottomnumber=1
\def\bottomfraction{.3}
\c@totalnumber=3
\def\textfraction{.2}
\def\floatpagefraction{.5}
\c@dbltopnumber= 2
\def\dbltopfraction{.7}
\def\dblfloatpagefraction{.5}

\smallskipamount=.5\parskip \medskipamount=\parskip
\bigskipamount=2\parskip
\ps@plain \pagenumbering{arabic} \onecolumn \@fileswfalse

% Here comes more style information


